curl --request GET \
--url 'https://edi.stateset.com/v1/deductions' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"adjustment_number": "string",
"amount": "49.00",
"category": "standard",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"evidence": [
{
"actor": null,
"at": null,
"note": null,
"url": null
}
],
"history": [
{
"action": null,
"actor": null,
"at": null,
"note": null
}
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_number": "ORD-10042",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason_codes": [
"string"
],
"recovered_amount": "49.00",
"status": "open",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
}
]
Lists deductions for the tenant with an exposure/recovery summary.
Deductions + summary
GET
/
v1
/
deductions
curl --request GET \
--url 'https://edi.stateset.com/v1/deductions' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"adjustment_number": "string",
"amount": "49.00",
"category": "standard",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"evidence": [
{
"actor": null,
"at": null,
"note": null,
"url": null
}
],
"history": [
{
"action": null,
"actor": null,
"at": null,
"note": null
}
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_number": "ORD-10042",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason_codes": [
"string"
],
"recovered_amount": "49.00",
"status": "open",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
}
]
Response
Deduction[] — each element:
string
required
The 812 adjustment / chargeback number.
string
required
string
Operator-assigned root-cause category (e.g.
shortage, label, asn).string (date-time)
required
string
EvidenceNote[]
DeductionEvent[]
required
string
required
string
string
required
string[]
string
Amount recovered when disputed successfully (≤
amount).DeductionStatus
required
string
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
200 | Deductions + summary |
403 | Admin credential required |
curl --request GET \
--url 'https://edi.stateset.com/v1/deductions' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"adjustment_number": "string",
"amount": "49.00",
"category": "standard",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"evidence": [
{
"actor": null,
"at": null,
"note": null,
"url": null
}
],
"history": [
{
"action": null,
"actor": null,
"at": null,
"note": null
}
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_number": "ORD-10042",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason_codes": [
"string"
],
"recovered_amount": "49.00",
"status": "open",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
}
]
Last modified on August 31, 2026